//! # Integer types.

/// Sign of the integer.
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash, PartialOrd, Ord)]
pub enum Signedness {
    /// The number has sign.
    Signed,
    /// The number has no sign.
    Unsigned,
}

/// Integer.
#[derive(Debug, Clone, Copy, PartialEq, Eq, PartialOrd, Ord, Hash)]
pub struct Int(pub Signedness);
